# $Revision: 1.12 $, $Date: 2010/07/08 08:10:12 $
Summary:	Python interface to FAM (File Alternation Monitor)
Summary(pl.UTF-8):	Interfejs do FAM (File Alternation Monitor) dla Pythona
Name:		python-fam
Version:	1.1.1
Release:	3
License:	LGPL
Group:		Development/Languages/Python
Source0:	http://dl.sourceforge.net/python-fam/%{name}-%{version}.tar.gz
# Source0-md5:	f6c760c6d8e5ea69a3fce029f7973558
URL:		http://python-fam.sourceforge.net/
BuildRequires:	perl-base
BuildRequires:	python-devel >= 1:2.3
%pyrequires_eq	python-modules
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Python FAM provides a Python module to use the File Alteration Monitor
(http://oss.sgi.com/projects/fam/) in Python.

%description -l pl.UTF-8
Python FAM to moduł pozwalający korzystać z File Alternation Monitor
(monitora zmian plików). Więcej informacji o FAM dostępne jest na
stronie <http://oss.sgi.com/projects/fam/>.

%prep
%setup -q

%build
%{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install --root=$RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
install test*.py $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{py_sitedir}/_fam.so
%{_examplesdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-fam.spec,v $
Revision 1.12  2010/07/08 08:10:12  arekm
- release 3

Revision 1.11  2008/10/03 17:49:37  arekm
- release 2

Revision 1.10  2007-02-13 08:06:42  glen
- tabs in preamble

Revision 1.9  2007/02/12 01:06:28  baggins
- converted to UTF-8

Revision 1.8  2006/07/26 15:50:56  glen
- remove extra unneeded slash

Revision 1.7  2006/01/23 23:26:54  piti
- up to 1.1.1

Revision 1.6  2005/05/01 18:02:05  glen
- %description url unification
  find -name '*.spec' | xargs -l1024 sed -i -e 's#\(http://.\+/\) \.#<\1>.#g'

Revision 1.5  2005/01/02 16:39:10  saq
- drop python23 bcond, autodetect python version

Revision 1.4  2004/12/23 20:58:19  saq
- release 2 for rebuild with python 2.4
- bcond python23

Revision 1.3  2004/11/27 19:01:24  saq
- massive attack: added missing python-devel epoch do BR

Revision 1.2  2004/06/04 18:51:25  qboosh
- cleanups

Revision 1.1  2004/06/04 16:10:17  jpc
- new spec
